function [] = DrawSelectedPoints2(image, cp)
%Joshua Stough
%COMP 290-89, Pollefeys
%Draws points on image. Nothing special.

if (size(image,3) > 1)
    I = double(rgb2gray(image));
else
    I = double(image);
end

I = I/max(max(I));

s = size(I);
Overlay = zeros(s(1),s(2),3);

Overlay(:,:,1) = I;
Overlay(:,:,2) = I;
Overlay(:,:,3) = I;

%The picture is multichanneled so that the overlay of
%selected point pairs is visible.

%Display the image.
h = figure('Name','Image'); 
imagesc(I); colormap('gray');

s = size(cp);

for p = cp
        x = p(1); y = p(2);
        
        Overlay(x-1,y-1,1) = 1;
        Overlay(x-1,y,1) = 1;
        Overlay(x-1,y+1,1) = 1;
        Overlay(x,y-1,1) = 1;
        %Overlay(x,y,1) = 1;
        Overlay(x,y+1,1) = 1;
        Overlay(x+1,y-1,1) = 1;
        Overlay(x+1,y,1) = 1;
        Overlay(x+1,y+1,1) = 1;
        Overlay(x,y+2,1) = 1;
        Overlay(x,y-2,1) = 1;
        Overlay(x-2,y,1) = 1;
        Overlay(x+2,y,1) = 1;
        
        Overlay(x-1,y-1,3) = 1;
        Overlay(x-1,y,3) = 1;
        Overlay(x-1,y+1,3) = 1;
        Overlay(x,y-1,3) = 1;
        %Overlay(x,y,3) = 1;
        Overlay(x,y+1,3) = 1;
        Overlay(x+1,y-1,3) = 1;
        Overlay(x+1,y,3) = 1;
        Overlay(x+1,y+1,3) = 1;
        Overlay(x,y+2,3) = 1;
        Overlay(x,y-2,3) = 1;
        Overlay(x-2,y,3) = 1;
        Overlay(x+2,y,3) = 1;
end

imagesc(Overlay);